Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.roster
Interface RosterEventListener

All Known Implementing Classes:
  IQPEPHandler

    public interface RosterEventListener

Interface to listen for roster events. Use the `RosterEventDispatcher.addListener(RosterEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`boolean` | `addingContact(Roster roster, RosterItem item, boolean persistent)` Notification message indicating that a contact is about to be added to a roster.
`void` | `contactAdded(Roster roster, RosterItem item)` Notification message indicating that a contact has been added to a roster.
`void` | `contactDeleted(Roster roster, RosterItem item)` Notification message indicating that a contact has been deleted from a roster.
`void` | `contactUpdated(Roster roster, RosterItem item)` Notification message indicating that a contact has been updated.
`void` | `rosterLoaded(Roster roster)` Notification message indicating that a roster has just been loaded.

Method Detail

### rosterLoaded

    void rosterLoaded(Roster roster)

  Notification message indicating that a roster has just been loaded.

  Parameters:
    `roster` - the loaded roster.

### addingContact

    boolean addingContact(Roster roster,
                          RosterItem item,
                          boolean persistent)

  Notification message indicating that a contact is about to be added to a roster. New contacts may be persisted to the database or not. Listeners may indicate that contact about to be persisted should not be persisted. Only one listener is needed to return `false` so that the contact is not persisted.

  Parameters:
    `roster` - the roster that was updated.
    `item` - the new roster item.
    `persistent` - true if the new contact is going to be saved to the database.
  Returns:
    false if the contact should not be persisted to the database.

### contactAdded

    void contactAdded(Roster roster,
                      RosterItem item)

  Notification message indicating that a contact has been added to a roster.

  Parameters:
    `roster` - the roster that was updated.
    `item` - the new roster item.

### contactUpdated

    void contactUpdated(Roster roster,
                        RosterItem item)

  Notification message indicating that a contact has been updated.

  Parameters:
    `roster` - the roster that was updated.
    `item` - the updated roster item.

### contactDeleted

    void contactDeleted(Roster roster,
                        RosterItem item)

  Notification message indicating that a contact has been deleted from a roster.

  Parameters:
    `roster` - the roster that was updated.
    `item` - the roster item that was deleted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.